<!-- /********************************************************************************
* Copyright (c) 2020 Contributors to the Eclipse Foundation
*
* See the NOTICE file(s) distributed with this work for additional
* information regarding copyright ownership.
*
* This program and the accompanying materials are made available under the
* terms of the Eclipse Public License v. 2.0 which is available at
* http://www.eclipse.org/legal/epl-2.0.
*
* SPDX-License-Identifier: EPL-2.0
********************************************************************************/ -->
<div class="diverse-options">
  <div class="new-communicationsData" *visibleByRight>
    <button class="btn btn-sm btn-primary" (click)="createNewCommunicationsDataForm()">
      {{ 'CommunicationsData.NewCommunicationsData' | translate }}
    </button>
  </div>
</div>

<ag-grid-angular
  class="ag-theme-balham"
  style="width: 100%; height: 100%;"
  [domLayout]="'autoHeight'"
  [gridOptions]="gridOptions"
  [rowData]="externalPersonDetailsSandBox.communicationsDataList$ | async"
  [columnDefs]="columnDefinition"
  [rowSelection]="'single'"
  [overlayNoRowsTemplate]="noRowsTemplate"
  (gridReady)="onGridReady($event)"
>
</ag-grid-angular>

<app-spinner [isRunning]="externalPersonDetailsSandBox.communicationsDataListLoading$ | async"></app-spinner>
